package com.nationrel.modules.pdsc.enums;

import org.jeecg.common.system.annotation.EnumDict;
import org.jeecg.common.system.vo.DictModel;

import java.util.ArrayList;
import java.util.List;

/**
 * 核心成员
 */
@EnumDict("pdscTeamType")
public enum TeamTypeEnum {

    CORE("core", "核心成员"),
    EXTEND("extend", "扩展成员"),
    ;

    TeamTypeEnum(String type, String description) {
        this.type = type;
        this.description = description;
    }

    /**
     * 分析类型
     */
    String type;

    /**
     * 类型描述
     */
    String description;

    public String getNote() {
        return description;
    }

    public void setNote(String description) {
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


    /**
     * 获取字典数据
     */
    public static List<DictModel> getDictList() {
        List<DictModel> list = new ArrayList<>();
        DictModel dictModel = null;
        for (TeamTypeEnum e : TeamTypeEnum.values()) {
            dictModel = new DictModel();
            dictModel.setValue(e.getType());
            dictModel.setText(e.getNote());
            list.add(dictModel);
        }
        return list;
    }

    /**
     * 根据type获取枚举
     *
     * @param type
     */
    public static TeamTypeEnum valueOfType(String type) {
        for (TeamTypeEnum e : TeamTypeEnum.values()) {
            if (e.getType().equals(type)) {
                return e;
            }
        }
        return null;
    }

}
