package com.nationrel.modules.pdsc.vo;

import com.nationrel.modules.pdsc.entity.ProjectInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/**
 * @Description: 项目信息
 * @Author: zhangkai
 * @Date: 2024/5/29
 * @Version: V1.0
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "项目信息")
public class ProjectInfoVo extends ProjectInfo {

    /**
     * 是否owner
     */
    private Boolean isOwner;
    /**
     * 是否核心成员
     */
    private Boolean isCore;
    /**
     * 创建人字典翻译
     */
    private String createBy_dictText;
    /**
     * owner字典翻译
     */
    private String owner_dictText;
    /**
     * 部门字典翻译
     */
    private String sysOrgCode_dictText;
    /**
     * 项目类型字典翻译
     */
    private String projectType_dictText;
}
